import { GridPro } from '@genesislcap/grid-pro';
import { FASTElement } from '@microsoft/fast-element';
export declare class PreviewGrid extends FASTElement {
    grid: GridPro;
    prefix: string;
    provider: HTMLElement;
    rowData: {
        make: string;
        model: string;
        price: number;
        creationDate: number;
        isCool: boolean;
    }[];
    columnDefs: {
        field: string;
    }[];
    gridOptions: {
        defaultColDef: {
            resizable: boolean;
            filter: boolean;
        };
        debug: boolean;
        columnDefs: {
            field: string;
        }[];
        rowData: {
            make: string;
            model: string;
            price: number;
            creationDate: number;
            isCool: boolean;
        }[];
    };
    setGridOptions(): void;
    connectedCallback(): void;
    private handleStyleChanges;
    private handleDSChanges;
}
//# sourceMappingURL=preview-grid.d.ts.map